/*
Пример использования
Получение информации обо всех доступных устройствах
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_pcidevice_list" "pdl" {
  #фильтр по id устройства
  #опциональный параметр
  #тип - целое число
  #by_id = 111

  #фильтр по id compute
  #опциональный параметр
  #тип - целое число
  #compute_id = 123

  #фильтр по имени устройства
  #опциональный параметр
  #тип - строка
  #name = "name"

  #фильтр по id ресурсной группы
  #опциональный параметр
  #тип - целое число
  #rg_id = 111
  
  #фильтр по статусу устройства
  #опциональный параметр
  #тип - строка
  #status = "status"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #size = 3
  
}

output "test" {
  value = data.decort_cb_pcidevice_list.pdl.items
}
