/*
Пример использования
Получение данных sep pool
*/

#Раскомментируйте код ниже,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_sep_pool" "sp" {
  #id sep
  #обязательный параметр
  #тип - целое число
  sep_id = 1111

  #sep pool name
  #обязательный параметр
  #тип - строка
  pool_name = "sep_pool"
}

output "pool" {
  value = {
    for k, v in data.decort_cb_sep_pool.sp.pool : k => v
  }
}