Функция доступна в провайдере версии 3.3 и выше.

_Data source_ функция **decort_vins_ext_net_list** служит для получения информации о внешних сетях виртуальной сети (Vins).

## Аргументы

_Data source_ функция **decort_vins_ext_net_list** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vins_id | int | :heavy_check_mark: | ID виртуальной сети |

## Возвращаемые значения

В случае успешного выполнения _data source_ функция **decort_vins_ext_net_list** возвращает в указанную при вызове переменную, в поле items массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| default_gw | string | шлюз по умолчанию |
| ext_net_id | int | ID внешней сети |
| ip | string | IP адрес |
| prefix_len | int | Длина префикса |
| status | string | Статус |
| tech_status | string | Технический статус|

## Пример использования

Пример вызова _data source_ функции **decort_vins_ext_net_list**:

```terraform
data "decort_vins_ext_net_list" "vins_ext_net_list" {
  #обязательный параметр
  #id жедаемого vins
  #тип - число
  vins_id = 10101
}
```

После успешного завершения такого вызова **decort_vins_ext_net_list** в переменной `data.decort_vins_ext_net_list.vins_ext_net_list` будут сохранены возвращаемые значения.

