Функция доступна в провайдере версии 3.3 и выше.

_Data source_ функция **decort_vins_ip_list** служит для получения информации о списке зарезервированных IP адресов виртуальной сети (Vins).

## Аргументы

_Data source_ функция **decort_vins_ip_list** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vins_id | int | :heavy_check_mark: | ID виртуальной сети |

## Возвращаемые значения

В случае успешного выполнения _data source_ функция **decort_vins_ip_list** возвращает в указанную при вызове переменную, в поле items массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| client_type | string | Тип клиента |
| domainname | string | Имя домена |
| hostname | string | Имя хоста |
| ip | string | IP адрес |
| mac | string | MAC адрес|
| type | string | Тип сети |
| vm_id | int | ID виртуальной машины |

## Пример использования

Пример вызова _data source_ функции **decort_vins_ip_list**:

```terraform
data "decort_vins_ip_list" "vins_ip_list" {
  #обязательный параметр
  #id жедаемого vins
  #тип - число
  vins_id = 10101
}
```

После успешного завершения такого вызова **decort_vins_ip_list** в переменной `data.decort_vins_ip_list.vins_ip_list` будут сохранены возвращаемые значения.
