Функция доступна в провайдере версии 4.5.1 и выше.

_Data source_ функция **decort_cb_grid_get_diagnosis** служит для получения снимка платформы с дополнительной диагностической информацией, такой как журналы и т.д.

## Аргументы
_Data source_ функция **decort_cb_grid_get_diagnosis** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| grid_id | int | :heavy_check_mark: | ID grid |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_cb_grid_get_diagnosis** возвращает в указанную при вызове переменную, которая состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| diagnosis | string | Диагностическая информация |


## Пример использования
Пример вызова _data source_ функции **decort_cb_grid_get_diagnosis**:
```terraform
data "decort_cb_grid_get_diagnosis" "grid" {
  #id grid для получения информации
  #обязательный параметр 
  #тип - целое число
  gid = 215

}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.6.0/04.02-Инициализация-Terraform-провайдера-DECORT.md)). 

После успешного завершения такого вызова **decort_cb_grid_get_diagnosis** в переменной `data.decort_cb_grid_get_diagnosis.grid` будут сохранены возвращаемые значения.
