Функция доступна в провайдере версии 3.0 и выше.

_Data source_ функция **decort_location_url** служит для получения url площадки (grid/location).

## Аргументы
_Data source_ функция **decort_location_url** не принимает аргументы.

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_location_url** возвращает в указанную при вызове переменную, которая состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| url | string | Адрес площадки |


## Пример использования
Пример вызова _data source_ функции **decort_location_url**:
```terraform
data "decort_location_url" "lu" {
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.7.3/04.02-Инициализация-Terraform-провайдера-DECORT.md)). 

После успешного завершения такого вызова **decort_location_url** в переменной `data.decort_location_url.lu` будут сохранены возвращаемые значения.
