/*
Пример использования
Получение данных конфигурации sep
*/

#Раскомментируйте код ниже,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_sep_template" "compute_template" {
   #тип сеп
   #возможные значения - hitachi, dorado, tatlin, shared, local, des
   #обязательный параметр
   #тип - строка
   sep_type = "dorado"

   #язык
   #возможные значения - ru, en
   #обязательный параметр
   #тип - строка  
   lang = "en"
}

output "output" {
  value = data.decort_cb_sep_template.compute_template
}
