/*
Пример использования
Получение списка vfpool
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_vfpool_list" "vfpool_list" {
  #фильтрация списка для получения информации о конкретном vfpool по его id
  #опциональный параметр
  #тип - целое число
  #by_id = 1

  #фильтрация списка для получения информации о vfpool, которые принадлежат к определенному GRID 
  #опциональный параметр
  #тип - целое число
  #gid = 1

  #фильтрация списка для получения информации о конкретном vfpool по его имени
  #опциональный параметр
  #тип - строка
  #name = "alpha-cpu-04"

  #фильтрация списка для получения информации о конкретном vfpool по его описанию
  #опциональный параметр
  #тип - строка
  #description = "some"

  #фильтрация списка для получения информации о vfpool, которые имеют соответствующий статус
  #опциональный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтрация списка для получения информации о vfpool, которые доступны конкретному аккаунту
  #опциональный параметр
  #тип - целое число
  #account_access = 1

  #фильтрация списка для получения информации о vfpool, которые доступны конкретной ресурсной группе
  #опциональный параметр
  #тип - целое число
  #rg_access = 1

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #тип - строка
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #если не задан - выводятся все доступные данные
  #тип - целое число
  #page = 2

  #размер страницы
  #опциональный параметр
  #если не задан - выводятся все доступные данные
  #тип - целое число
  #size = 3

}

output "test" {
  value = data.decort_cb_vfpool_list.vfpool_list
}

