Функция доступна в провайдере версии 3.3.0 и выше.

_Data source_ функция **decort_vins_nat_rule_list** служит для получения списка удаленных виртуальных сетей (Vins).

## Аргументы

_Data source_ функция **decort_vins_nat_rule_list** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vins_id | int | :heavy_check_mark: | ID виртуальной сети |
## Возвращаемые значения

В случае успешного выполнения _data source_ функция **decort_vins_nat_rule_list** возвращает в указанную при вызове переменную, в поле items массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| id | int | Идентификатор виртуальной сети |
| local_ip | string | Локальный IP адрес |
| local_port | int | Локальный порт |
| protocol | string | Протокол передачи |
| public_port_end | int | Конец диапазона портов |
| public_port_start | int | Старт диапазона портов |
| vm_id | int | ID виртуальной машины |
| vm_name | string | Имя виртуальной машины |

## Пример использования

Пример вызова _data source_ функции **decort_vins_nat_rule_list**:

```terraform
data "decort_vins_nat_rule_list" "vins_nat_rule_list" {
  #обязательный параметр
  #id жедаемого vins
  #тип - число
  vins_id = 10101
}
```

После успешного завершения такого вызова **decort_vins_nat_rule_list** в переменной `data.decort_vins_nat_rule_list.vins_nat_rule_list` будут сохранены возвращаемые значения.
