Функция доступна в провайдере версии 4.5.1 и выше.

_Data source_ функция **decort_cb_extnet_default** служит для получения информации о доступной внешней сети по умолчанию.

## Аргументы
_Data source_ функция **decort_cb_extnet_default** не имеет аргументов.

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_cb_extnet_default** возвращает следующий результат:

| Параметр | Тип | Описание |
| --- | --- | --- |
| extnet_id | int | ID сети по-умолчанию |

## Пример использования
Пример вызова _data source_ функции **decort_cb_extnet_default**:
```terraform
data "decort_cb_extnet_default" "ed" {
  #нет входящих параметров
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.6.4/04.02-Инициализация-Terraform-провайдера-DECORT.md)). 

После успешного завершения такого вызова **decort_cb_extnet_default** в переменной `data.decort_cb_extnet_default.ed` будут сохранены возвращаемые значения.
