Функция доступна в провайдере версии 4.4.0 и выше.

_Data source_ функция **decort_vins_static_route** служит для получения информации о статическом пути

## Аргументы
_Data source_ функция **decort_vins_static_route** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vins_id | int | :heavy_check_mark: | ID VINS |
| route_id | int | :heavy_check_mark: | ID статического пути |

## Возвращаемые значения

| Параметр | Тип | Описание |
| --- | --- | --- |
| destination | string | IP целевой сети |
| gateway | string | IP шлюза |
| guid | string | guid ресурса |
| netmask | string | сетевая маска |
| compute_ids | []int | Список ID compute, которым предоствавлен доступ |


## Пример использования

```terraform
data "decort_vins_static_route" "route" {
  #обязательный параметр
  #id vins в котором добавлены routes
  #тип - целое число
  vins_id = 1111

  #обязательный параметр
  #id route 
  #тип - целое число
  route_id = 1
}
```

После успешного завершения такого вызова **decort_vins_static_route** в переменной `data.decort_vins_static_route.route` будут сохранены возвращаемые значения.

