Функция доступна в провайдере версии 2.3 и выше.

_Data source_ функция **decort_extnet_default** служит для получения информации о доступной внешней сети по умолчанию.

## Аргументы
_Data source_ функция **decort_extnet_default** не имеет аргументов.


## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_extnet_default** возвращает следующий результат:

| Параметр | Тип | Описание |
| --- | --- | --- |
| net_id | int | ID сети по-умолчанию |

## Пример использования
Пример вызова _data source_ функции **decort_extnet_default**:
```terraform
data "decort_extnet_default" "ed" {

}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.8.1/04.02-Инициализация-Terraform-провайдера-DECORT.md)). 

После успешного завершения такого вызова **decort_extnet_default** в переменной `data.decort_extnet_default.ed` будут сохранены возвращаемые значения.
